Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Plugin Tiers] Zigate

Pour échanger sur les plugins classés en catégorie "Protocoles domotiques"
paulnux
Timide
Messages : 331
Inscription : 19 juil. 2015, 11:28
Localisation : 72

Re: [Plugin Tiers] Zigate

Message par paulnux » 20 janv. 2019, 21:17

Tu va dans Analyse / Equipements et tu a le % de toutes les piles
Jeedom Mini+, Zigate
Temp Xiaomi
Ouverture Xiaomi
Ampoule Ikea, Xiaomi
Détecteur mouvement Xiaomi

Pi3B+, ZStick GEN5, SENA UD100, Gateway Xiaomi
PSM02
FGMS-001
ZM1602
Ampoule Yeelight
Echo Plus
Nut mini
Balance Xiaomi
MiFlora
WorxLandroidS

Theguilt
Timide
Messages : 196
Inscription : 04 nov. 2018, 07:48

Re: [Plugin Tiers] Zigate

Message par Theguilt » 20 janv. 2019, 23:36

Super merci Paulnux

ivan
Timide
Messages : 9
Inscription : 30 déc. 2017, 21:32

Re: [Plugin Tiers] Zigate

Message par ivan » 21 janv. 2019, 09:05

Bonjour,

J'ai installé 8 xiaomi T° et 8 Vibration sous jeedom avec le plugin zigate (Version plugin 1.1.7, Version lib 0.24.2, Version firmware 3.0e )

Je rencontre des problèmes:
* d'inclusion (les paramètres ne sont pas tous présents),
* de mise à jour des valeurs des capteurs (aucune depuis 12h, pas de mise à jour en forçant une synchro au niveau plugin ou du capteur).

Si je reset le plugin et redémarre jeedom = les valeurs ne sont toujours pas mises à jour.

En ayant fait une sauvegarde jeedom puis en l'ayant réinstallée, j'ai eu le même pb de mise à jour des valeurs...

De plus le plugin perd le port USB que je dois remettre manuellement (= pb en cas de coupure puis redémarrage !).

Avez vous une piste pour corriger ce pb (je m'adresse au concepteur du plugin) ?
Logs ci joints

Merci
Pièces jointes
zigate.txt
(30.56 Kio) Téléchargé 33 fois

paulnux
Timide
Messages : 331
Inscription : 19 juil. 2015, 11:28
Localisation : 72

Re: [Plugin Tiers] Zigate

Message par paulnux » 21 janv. 2019, 19:41

paulnux a écrit :
20 janv. 2019, 20:50
J'ai acheté une ampoule Ikea Tradfri
Reset d'usine et inclusion impeccable

Mais il n'y a pas de retour d’état et donc incapable de savoir sur le dashboard si l’ampoule est allumé ou éteinte ce qui est très handicapant.

Pouvez vous inclure dans votre plugin un retour d’état pour ces ampoules ?
il y a t'il un moyen d'avoir un retour d’état autrement ?
Je me répond à moi même des fois que ça aiderai quelqu’un :roll:

Apres inclusion de l'ampoule il faut aller sur l’équipement et cliquer sur resynchroniser l’équipement.
Sur le dashboard sur on et sur off
Patienter et de nouvelles commande sont créé, je suis passé de 6 commandes à 14 commandes :mrgreen:
Jeedom Mini+, Zigate
Temp Xiaomi
Ouverture Xiaomi
Ampoule Ikea, Xiaomi
Détecteur mouvement Xiaomi

Pi3B+, ZStick GEN5, SENA UD100, Gateway Xiaomi
PSM02
FGMS-001
ZM1602
Ampoule Yeelight
Echo Plus
Nut mini
Balance Xiaomi
MiFlora
WorxLandroidS

mangles
Timide
Messages : 23
Inscription : 20 janv. 2016, 08:18

Re: [Plugin Tiers] Zigate

Message par mangles » 22 janv. 2019, 20:33

Bonjour,
Je viens d'acheter une zigate USB et je teste progressivement avec un capteur d'ouverture qui n'était pas encore inclus dans mon installation domotique.
Le capteur semble ok pour le moment, j'ai cependant noté un problème de rafraîchissement de l'info sur le dashboard (passage de ouvert à fermé ou inversement) alors que dans l'historisation de la commande on voit bien le passage de 0 à 1 (ou inversement). Je pousse les test plus loin avant d'envisager le basculement de mon installation ! :).
Cela se produit quand je reviens contrôler l'installation après un "long" moment.

poulet
Timide
Messages : 18
Inscription : 22 janv. 2019, 23:04

Re: [Plugin Tiers] Zigate

Message par poulet » 23 janv. 2019, 08:00

ivan a écrit :
21 janv. 2019, 09:05
Bonjour,

J'ai installé 8 xiaomi T° et 8 Vibration sous jeedom avec le plugin zigate (Version plugin 1.1.7, Version lib 0.24.2, Version firmware 3.0e )

Je rencontre des problèmes:
* d'inclusion (les paramètres ne sont pas tous présents),
* de mise à jour des valeurs des capteurs (aucune depuis 12h, pas de mise à jour en forçant une synchro au niveau plugin ou du capteur).

Si je reset le plugin et redémarre jeedom = les valeurs ne sont toujours pas mises à jour.

En ayant fait une sauvegarde jeedom puis en l'ayant réinstallée, j'ai eu le même pb de mise à jour des valeurs...

De plus le plugin perd le port USB que je dois remettre manuellement (= pb en cas de coupure puis redémarrage !).

Avez vous une piste pour corriger ce pb (je m'adresse au concepteur du plugin) ?
Logs ci joints

Merci
Salut Ivan, une désinstallation/réinstallation du plugin a permis de résoudre le soucis pour moi. J'avais également oublié de mettre le port de la zigate dans la conf du plugin mais je ne sais pas si ça joue. Pour info je voyais bien des messages avec des données de mes capteurs Xiaomi dans les logs du plugin Zigate mais pas de rafraîchissement du widget avec les infos.

antoinedanel
Timide
Messages : 1
Inscription : 23 janv. 2019, 11:23

Re: [Plugin Tiers] Zigate

Message par antoinedanel » 23 janv. 2019, 12:10

Bonjour, petit nouveau dans la famille Jeedom, voir domotique au sens large.
Je débute sur jeedom, sur raspberry avec Zigate. J'ai quelques équipements connectés, Legrand Céliane pour les interrupteurs, et quelques modules Xiaomi pour la sécurité. Je galère un peu avec le détecteur de fumée de cette marque. Si quelqu'un le fait fonctionner via Zigate, un petit coup de pouce serait top.

QuentinBtd
Timide
Messages : 10
Inscription : 13 janv. 2019, 21:44

Re: [Plugin Tiers] Zigate

Message par QuentinBtd » 23 janv. 2019, 21:04

Bonsoir,

J'utilise ma Zigate depuis maintenant une semaine, et je fais face à un phénomène qui me dérange un peu : dès lors qu'Apache est relancé, que le module Zigate est reconnecté, les ID des commandes de mon unique périphérique (Interrupteur Xiaomi) changent.

Cela m'embête car j'utilise ha-bridge pour pouvoir allumer ma lumière avec mon enceinte Amazon Echo.

Sauriez-vous s'il est possible d'utiliser l'URL d’exécution de commande avec autre chose que l'ID de la commande en question ?
Administrateur Système GNU/Linux

sebfar
Timide
Messages : 441
Inscription : 17 sept. 2018, 13:34

Re: [Plugin Tiers] Zigate

Message par sebfar » 24 janv. 2019, 06:59

Bonjour
Un petit retour, j'utilise sans soucis Zigate pour 3 détecteurs d'inondation aqara (et j'ai eu malheureusement la preuve du bon fonctionnement la semaine dernière) et je viens d'ajouter 3 détecteurs de mouvement en moins de temps qu'il faut pour le dire et tout fonctionne parfaitement

sagitaz
Timide
Messages : 12
Inscription : 08 mai 2018, 09:42

Re: [Plugin Tiers] Zigate

Message par sagitaz » 24 janv. 2019, 09:53

QuentinBtd a écrit :
23 janv. 2019, 21:04
Bonsoir,

J'utilise ma Zigate depuis maintenant une semaine, et je fais face à un phénomène qui me dérange un peu : dès lors qu'Apache est relancé, que le module Zigate est reconnecté, les ID des commandes de mon unique périphérique (Interrupteur Xiaomi) changent.

Cela m'embête car j'utilise ha-bridge pour pouvoir allumer ma lumière avec mon enceinte Amazon Echo.

Sauriez-vous s'il est possible d'utiliser l'URL d’exécution de commande avec autre chose que l'ID de la commande en question ?
Il te faut créer un virtuel pour ta prise et ce sera lui que tu configure pour Alexa, en cas de soucis tu as juste à changer le liens Prise ==> virtuel.

Voici un aperçu de mes équipements Zigbee relié à la zigate (plugin : 1.1.7 , firmware : 3.0d).
Image

Samedi dernier alors que depuis 2 mois je n'avais eu aucun soucis toutes mes ampoules Hue ont étaient perdues, obligé de les supprimer puis de faire une nouvelle inclusion, heureusement j'utilise des virtuels pour mes design, les scénarios et pour la gestion avec Alexa, j'ai gagné un peu de temps sur la remise en route.

Hier neige et vent, j'ai eu plusieurs micro coupure de courant (faut que je commande un onduleur), au redémarrage de la box j'ai du assigné de nouveau l'emplacement de la clé zigate et relancer le demon.
1er coupure : 2 ampoules perdu (HUE)
2eme coupure : 1 ampoule (Ikea), 1 détecteur de mouvement et 2 capteurs de température.

J'ai remarqué aussi que lorsque le demon redémarre alors la prise Xiaomi change de statut (passe de éteinte à allumé ou inversement).

Je reste quand même satisfait de la zigate mais espère que les prochaines mise à jour apporterons plus de stabilité.
raspberry pi 3 b+ / Jeedom 3.2.11 / Light IKEA & HUE / Aqara

QuentinBtd
Timide
Messages : 10
Inscription : 13 janv. 2019, 21:44

Re: [Plugin Tiers] Zigate

Message par QuentinBtd » 24 janv. 2019, 21:46

sagitaz a écrit :
24 janv. 2019, 09:53
QuentinBtd a écrit :
23 janv. 2019, 21:04
Bonsoir,

J'utilise ma Zigate depuis maintenant une semaine, et je fais face à un phénomène qui me dérange un peu : dès lors qu'Apache est relancé, que le module Zigate est reconnecté, les ID des commandes de mon unique périphérique (Interrupteur Xiaomi) changent.

Cela m'embête car j'utilise ha-bridge pour pouvoir allumer ma lumière avec mon enceinte Amazon Echo.

Sauriez-vous s'il est possible d'utiliser l'URL d’exécution de commande avec autre chose que l'ID de la commande en question ?
Il te faut créer un virtuel pour ta prise et ce sera lui que tu configure pour Alexa, en cas de soucis tu as juste à changer le liens Prise ==> virtuel.

Voici un aperçu de mes équipements Zigbee relié à la zigate (plugin : 1.1.7 , firmware : 3.0d).
Image

Samedi dernier alors que depuis 2 mois je n'avais eu aucun soucis toutes mes ampoules Hue ont étaient perdues, obligé de les supprimer puis de faire une nouvelle inclusion, heureusement j'utilise des virtuels pour mes design, les scénarios et pour la gestion avec Alexa, j'ai gagné un peu de temps sur la remise en route.

Hier neige et vent, j'ai eu plusieurs micro coupure de courant (faut que je commande un onduleur), au redémarrage de la box j'ai du assigné de nouveau l'emplacement de la clé zigate et relancer le demon.
1er coupure : 2 ampoules perdu (HUE)
2eme coupure : 1 ampoule (Ikea), 1 détecteur de mouvement et 2 capteurs de température.

J'ai remarqué aussi que lorsque le demon redémarre alors la prise Xiaomi change de statut (passe de éteinte à allumé ou inversement).

Je reste quand même satisfait de la zigate mais espère que les prochaines mise à jour apporterons plus de stabilité.
Merci pour ta réponse. C'est effectivement ce que j'ai fait quand j'ai compris que ça pouvait arriver assez régulièrement.
Je me demande s'il n'y a pas moyen de scripter pour automatiser la chose.

Je me pencherai là dessus lorsque j'aurai un peu plus de temps...
Administrateur Système GNU/Linux

paulnux
Timide
Messages : 331
Inscription : 19 juil. 2015, 11:28
Localisation : 72

Re: [Plugin Tiers] Zigate

Message par paulnux » 25 janv. 2019, 12:22

Bonjour,

Je viens de m'apercevoir que encore plus aucun de mes équipements zigbee (sonde de température, détecteur d'ouverture, bouton, ampoule ) ne fonctionne .

Tout est tombé vers 22h30 hier soir.

La clé tourne toute seul sur une mini+ ( on va pas me dire que quelque chose la dérange ou quelle dérange quelque chose)

Ci joint le log téléchargé a l'instant
zigate.txt
(77.61 Kio) Téléchargé 14 fois
Un truc que je comprend pas: pourquoi il y a des lignes create commnand ?

Firmware 3.0 D
Version du plugin 1.1.7
Version Lib 0.24.2

Cela commence à devenir déprimant

Une idée pour refaire venir mes équipements ou il faut que je refasse une ré-inclusion de tout ?

Un passage à la version firmware 3.0E peux être ? (Si je dois tout ré-inclure autant en profiter )
Jeedom Mini+, Zigate
Temp Xiaomi
Ouverture Xiaomi
Ampoule Ikea, Xiaomi
Détecteur mouvement Xiaomi

Pi3B+, ZStick GEN5, SENA UD100, Gateway Xiaomi
PSM02
FGMS-001
ZM1602
Ampoule Yeelight
Echo Plus
Nut mini
Balance Xiaomi
MiFlora
WorxLandroidS

phyllox
Timide
Messages : 113
Inscription : 22 janv. 2019, 17:47

Re: [Plugin Tiers] Zigate

Message par phyllox » 25 janv. 2019, 12:35

Bonjour tout le monde

Ca va ce lire à ma question, je pense, je suis nouveau sur le forum, nouveau avec Jeedom, nouveau avec Zigate et nouveau avec la domotique en général.

J'ai commencé quand j'ai vu que je ne pouvais installer rien d'autre que des ampoules sur le pont Zigbee de mon Echo Plus.

J'ai installé un Debian sur un Nuc qui ne faisait rien, Jeedom (v3), acheté une clé Zigate (sûrement dans sa dernière version car livrée il y a 10 jours), et connecté mes ampoules. Pas de souci avec elles.

Mais j'ai des problèmes avec les interrupteurs.
J'ai une télécommande Hue qui est bien reconnue par le plugin Zigate, mais elle n'a que deux commandes, resync et type, et je ne vois pas ce que je peux faire avec ça. Au moins, on peut la configurer directement sur l'ampoule (ici une Trädfri) avec le bouton I mais aucun lien alors avec Jeedom.

J'ai aussi acheté (pour leur prix et leur esthétique) 3 interrupteurs Xiaomi Aqara, des carrés, à pile, dont je suis incapable de donner la moindre référence, vu que tout est écrit en chinois. J'ai 2 interrupteurs simples et 1 double.

- Le double est reconnu par le plugin comme lumi.remote.b286acn01 déjà ça ne me paraît pas correspondre, mais il a deux commandes movement et une rotation, ça paraît anormal, et aucune commande qui me paraîtrait utilisable avec un interrupteur.

- Les simples sont trouvés mais pas reconnus, le type est vide et du coup, il n'y a qu'une seule commande, resync. Inutilisable pour un interrupteur, du moins dans ma compréhension de la chose.

J'ai parcouru le forum et arpenté Google en long en large et en travers pour trouver des informations, mais rien qui ne soit accessible à un néophite complètement perdu comme moi (pourtant informaticien à la base, du moins c'est ce que je croyais).

Je crois comprendre qu'il y a pas mal de type d'interrupteurs Aqara, que certains personnes y arrivent avec certains, mais pas tout le monde. EN tous cas je suis complètement perdu, et prêt à tout laisser tomber, parce que le but ets que tout le Zigbee passe par le Zigate sans qu'il soit nécessaire d'acheter encore des ponts (Xiaomi, Hue...)et brancher tout ce monde sur le réseau. On est vite envahi (je le suis déjà...)

Y aurait-il quelqu'un pour m'aider à comprendre ce que j'ai oublié de faire, ou pas compris (et vraisemblablement les 2) ?

Merci d'avance pour votre aide
Bonne journée

cedrickb
Timide
Messages : 15
Inscription : 16 janv. 2019, 14:36

Re: [Plugin Tiers] Zigate

Message par cedrickb » 26 janv. 2019, 13:04

Bonjour à tous,
Tout nouveau sur Jeedom, je viens de recevoir mon zigate. J'ai fait la mise à jour du firmware comme indiqué dans la documentation, mais quand j'installe le plugin zigate, je n'ai pas de version de Lib ni de version du firmware.... et le demon ne démarre pas... :(
Dans les logs en mode Debug j'ai ça:

Code : Tout sélectionner

[2019-01-26 12:58:28][ERROR] : Erreur sur la fonction deamon_start du plugin : Vous devez attendre au moins 45 secondes entre deux lancements du démon. Dernier lancement : 2019-01-26 12:57:52
[2019-01-26 12:58:47][INFO] : Lancement démon zigate : /usr/bin/python3 /var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py  --device /dev/ttyUSB0 --loglevel debug --apikey VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr --pid /tmp/jeedom/zigate/daemon.pid --socket /tmp/jeedom/zigate/daemon.sock --callback https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php --sharedata 0
[2019-01-26 11:58:48][INFO][root] : Start zigated
[2019-01-26 11:58:48][INFO][root] : Log level : debug
[2019-01-26 11:58:48][INFO][root] : Socket : /tmp/jeedom/zigate/daemon.sock
[2019-01-26 11:58:48][INFO][root] : PID file : /tmp/jeedom/zigate/daemon.pid
[2019-01-26 11:58:48][INFO][root] : Apikey : VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr
[2019-01-26 11:58:48][INFO][root] : Device : /dev/ttyUSB0
[2019-01-26 11:58:48][INFO][root] : Callback : https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php
[2019-01-26 11:58:48][INFO][root] : Python version : 3.5.3 (default, Jan 19 2017, 14:11:04) 
[GCC 6.3.0 20170118]
[2019-01-26 11:58:48][INFO][root] : zigate version : 0.24.2
[2019-01-26 11:58:48][DEBUG][root] : Writing PID 17418 to /tmp/jeedom/zigate/daemon.pid
[2019-01-26 11:58:48][DEBUG][root] : Send to test to jeedom
[2019-01-26 11:58:48][DEBUG][root] : Send to jeedom :  {'action': 'test'}
[2019-01-26 11:58:48][DEBUG][requests.packages.urllib3.connectionpool] : Starting new HTTPS connection (1): 127.0.0.1
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 138, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 98, in create_connection
    raise err
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 88, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 594, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 350, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 837, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 281, in connect
    conn = self._new_conn()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 147, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca869b0>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 423, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 643, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 363, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca869b0>: Failed to establish a new connection: [Errno 111] Connection refused',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 263, in <module>
    if not jc.test():
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 71, in test
    r = self.send_now({'action': 'test'})
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 67, in send_now
    return self._request(message)
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 54, in _request
    verify=False)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 110, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 56, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 488, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 609, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 487, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca869b0>: Failed to establish a new connection: [Errno 111] Connection refused',))
[2019-01-26 12:58:54][ERROR] : Impossible de lancer le démon zigate, relancer le démon en debug et vérifiez la log
[2019-01-26 12:59:39][DEBUG] : callZiGate get_version_text 
[2019-01-26 12:59:39][DEBUG] : result callZiGate 
[2019-01-26 12:59:39][DEBUG] : callZiGate get_libversion 
[2019-01-26 12:59:39][DEBUG] : result callZiGate 
[2019-01-26 12:59:45][INFO] : Lancement démon zigate : /usr/bin/python3 /var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py  --device /dev/ttyUSB0 --loglevel debug --apikey VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr --pid /tmp/jeedom/zigate/daemon.pid --socket /tmp/jeedom/zigate/daemon.sock --callback https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php --sharedata 0
[2019-01-26 11:59:46][INFO][root] : Start zigated
[2019-01-26 11:59:46][INFO][root] : Log level : debug
[2019-01-26 11:59:46][INFO][root] : Socket : /tmp/jeedom/zigate/daemon.sock
[2019-01-26 11:59:46][INFO][root] : PID file : /tmp/jeedom/zigate/daemon.pid
[2019-01-26 11:59:46][INFO][root] : Apikey : VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr
[2019-01-26 11:59:46][INFO][root] : Device : /dev/ttyUSB0
[2019-01-26 11:59:46][INFO][root] : Callback : https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php
[2019-01-26 11:59:46][INFO][root] : Python version : 3.5.3 (default, Jan 19 2017, 14:11:04) 
[GCC 6.3.0 20170118]
[2019-01-26 11:59:46][INFO][root] : zigate version : 0.24.2
[2019-01-26 11:59:46][DEBUG][root] : Writing PID 18215 to /tmp/jeedom/zigate/daemon.pid
[2019-01-26 11:59:46][DEBUG][root] : Send to test to jeedom
[2019-01-26 11:59:46][DEBUG][root] : Send to jeedom :  {'action': 'test'}
[2019-01-26 11:59:46][DEBUG][requests.packages.urllib3.connectionpool] : Starting new HTTPS connection (1): 127.0.0.1
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 138, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 98, in create_connection
    raise err
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 88, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 594, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 350, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 837, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 281, in connect
    conn = self._new_conn()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 147, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb156c9b0>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 423, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 643, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 363, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb156c9b0>: Failed to establish a new connection: [Errno 111] Connection refused',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 263, in <module>
    if not jc.test():
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 71, in test
    r = self.send_now({'action': 'test'})
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 67, in send_now
    return self._request(message)
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 54, in _request
    verify=False)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 110, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 56, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 488, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 609, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 487, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=VAaMX2QP9bq3rKrVTrr08vOvnv0RcKZr (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb156c9b0>: Failed to establish a new connection: [Errno 111] Connection refused',))
[2019-01-26 12:59:52][ERROR] : Impossible de lancer le démon zigate, relancer le démon en debug et vérifiez la log
[2019-01-26 13:00:03][ERROR] : Erreur sur la fonction deamon_start du plugin : Vous devez attendre au moins 45 secondes entre deux lancements du démon. Dernier lancement : 2019-01-26 12:59:44
J'ai essayé les firmware 3d et 3e mais ça ne change rien...
Si quelqu'un a une idée je suis preneur!

Merci d'avance

Edit du 27/01/2019: Il s'agissait d'un problème de configuration du réseau interne, je l'ai passé de HTTPS à HTTP et tout fonctionne
Dernière édition par cedrickb le 27 janv. 2019, 15:12, édité 1 fois.

sim2000
Timide
Messages : 65
Inscription : 08 avr. 2018, 23:19

Re: [Plugin Tiers] Zigate

Message par sim2000 » 26 janv. 2019, 14:55

sim2000 a écrit :
12 janv. 2019, 23:33
Bonjour,

Petite question, je voudrai savoir comment inclure le transfo Trafri IKEA.
J'ai réussi en faisant un peu n'importe quoi, et je voudrai connaitre la manip correcte lol :)

Merci à vous.
Personne n'a d'idée?
J'ai de gros problème depuis l'utilisation de la Zigate sur ma Jeedom, c'est une catastrophe...
J'ai l'impression que tout mon réseau Zigbee est devenu lent (équipement sur la Gateway Xiaomi).
J'ai eu plusieurs fois ma Jeedom qui a eu des erreur Z-Wave.

Pour la Zigate, elle se déconnecte régulièrement de ma Jeedom: obligé de revalider le port dans la config et relancer le démon.
Et mon seul et unique équipement lié à la Zigate: le transfo Tradfri, se déconnecte régulièrement, la moitié des commandes passes, puis sans raison plus rien.

J'avoue ne pas trop savoir par où commencer, rien ne me semble anormal dans les logs.

Rvitch
Actif
Messages : 683
Inscription : 21 juin 2016, 10:31

Re: [Plugin Tiers] Zigate

Message par Rvitch » 26 janv. 2019, 15:09

sim2000 a écrit :
sim2000 a écrit :
12 janv. 2019, 23:33
Bonjour,

Petite question, je voudrai savoir comment inclure le transfo Trafri IKEA.
J'ai réussi en faisant un peu n'importe quoi, et je voudrai connaitre la manip correcte lol :)

Merci à vous.
Personne n'a d'idée?
J'ai de gros problème depuis l'utilisation de la Zigate sur ma Jeedom, c'est une catastrophe...
J'ai l'impression que tout mon réseau Zigbee est devenu lent (équipement sur la Gateway Xiaomi).
J'ai eu plusieurs fois ma Jeedom qui a eu des erreur Z-Wave.

Pour la Zigate, elle se déconnecte régulièrement de ma Jeedom: obligé de revalider le port dans la config et relancer le démon.
Et mon seul et unique équipement lié à la Zigate: le transfo Tradfri, se déconnecte régulièrement, la moitié des commandes passes, puis sans raison plus rien.

J'avoue ne pas trop savoir par où commencer, rien ne me semble anormal dans les logs.
Vérifie que tu as assez de puissance électrique pour alimenter tout ça.
Tu parle de zwave et de zigate, tes dongles sont ils sur un hub alimenté ou directement sur le pi?

Envoyé de mon Mi Note 3 en utilisant Tapatalk


sim2000
Timide
Messages : 65
Inscription : 08 avr. 2018, 23:19

Re: [Plugin Tiers] Zigate

Message par sim2000 » 26 janv. 2019, 16:56

Rvitch a écrit :
26 janv. 2019, 15:09
sim2000 a écrit :
sim2000 a écrit :
12 janv. 2019, 23:33
Bonjour,

Petite question, je voudrai savoir comment inclure le transfo Trafri IKEA.
J'ai réussi en faisant un peu n'importe quoi, et je voudrai connaitre la manip correcte lol :)

Merci à vous.
Personne n'a d'idée?
J'ai de gros problème depuis l'utilisation de la Zigate sur ma Jeedom, c'est une catastrophe...
J'ai l'impression que tout mon réseau Zigbee est devenu lent (équipement sur la Gateway Xiaomi).
J'ai eu plusieurs fois ma Jeedom qui a eu des erreur Z-Wave.

Pour la Zigate, elle se déconnecte régulièrement de ma Jeedom: obligé de revalider le port dans la config et relancer le démon.
Et mon seul et unique équipement lié à la Zigate: le transfo Tradfri, se déconnecte régulièrement, la moitié des commandes passes, puis sans raison plus rien.

J'avoue ne pas trop savoir par où commencer, rien ne me semble anormal dans les logs.
Vérifie que tu as assez de puissance électrique pour alimenter tout ça.
Tu parle de zwave et de zigate, tes dongles sont ils sur un hub alimenté ou directement sur le pi?

Envoyé de mon Mi Note 3 en utilisant Tapatalk
C'est sur une jeedom Smart donc Z-wave inclus. Et le reste branché (RFLink, dongle bluetooth, clé 3G).Pour le Zigate j'étais branché jusqu'à maintenant sur un HUB usb auto-alimenté (avec le dongle bluetooth), et j'essaie depuis hier le Zigate directement sur un des ports USB de la Jeedom (j'attendais de recevoir une rallonge car le Zigate est un peu gros).

bobosh
Timide
Messages : 95
Inscription : 21 janv. 2019, 17:25

Re: [Plugin Tiers] Zigate

Message par bobosh » 26 janv. 2019, 18:01

Bonjour à tous,

J'étais décidé à acheter cette zigate.

Mais à voir le sujet j'ai des doutes.

Est ce qu'il y a des personnes pour qui cela fonctionne correctement ?

sebfar
Timide
Messages : 441
Inscription : 17 sept. 2018, 13:34

Re: [Plugin Tiers] Zigate

Message par sebfar » 26 janv. 2019, 18:08

bobosh a écrit :
26 janv. 2019, 18:01
Bonjour à tous,

J'étais décidé à acheter cette zigate.

Mais à voir le sujet j'ai des doutes.

Est ce qu'il y a des personnes pour qui cela fonctionne correctement ?
Personnellement je n'ai aucun soucis (j'y intègre des composants Xiaomi/Aqara sans problème alors que je n'ai pas de gateway)

phyllox
Timide
Messages : 113
Inscription : 22 janv. 2019, 17:47

Re: [Plugin Tiers] Zigate

Message par phyllox » 26 janv. 2019, 19:46

Mais j'ai des problèmes avec les interrupteurs.
J'ai une télécommande Hue qui est bien reconnue par le plugin Zigate, mais elle n'a que deux commandes, resync et type, et je ne vois pas ce que je peux faire avec ça. Au moins, on peut la configurer directement sur l'ampoule (ici une Trädfri) avec le bouton I mais aucun lien alors avec Jeedom.

J'ai aussi acheté (pour leur prix et leur esthétique) 3 interrupteurs Xiaomi Aqara, des carrés, à pile, dont je suis incapable de donner la moindre référence, vu que tout est écrit en chinois. J'ai 2 interrupteurs simples et 1 double.

- Le double est reconnu par le plugin comme lumi.remote.b286acn01 déjà ça ne me paraît pas correspondre, mais il a deux commandes movement et une rotation, ça paraît anormal, et aucune commande qui me paraîtrait utilisable avec un interrupteur.

- Les simples sont trouvés mais pas reconnus, le type est vide et du coup, il n'y a qu'une seule commande, resync. Inutilisable pour un interrupteur, du moins dans ma compréhension de la chose.

J'ai parcouru le forum et arpenté Google en long en large et en travers pour trouver des informations, mais rien qui ne soit accessible à un néophite complètement perdu comme moi (pourtant informaticien à la base, du moins c'est ce que je croyais).

Je crois comprendre qu'il y a pas mal de type d'interrupteurs Aqara, que certains personnes y arrivent avec certains, mais pas tout le monde. EN tous cas je suis complètement perdu, et prêt à tout laisser tomber, parce que le but ets que tout le Zigbee passe par le Zigate sans qu'il soit nécessaire d'acheter encore des ponts (Xiaomi, Hue...)et brancher tout ce monde sur le réseau. On est vite envahi (je le suis déjà...)

Y aurait-il quelqu'un pour m'aider à comprendre ce que j'ai oublié de faire, ou pas compris (et vraisemblablement les 2) ?
Bonsoir à tous

Pas un expert qui ait déjà intégré ce type d'interrupteur et puisse m'aiguiller sur la façon de s'y prendre ?

Merci d'avance

Répondre

Revenir vers « [Catégorie] Protocoles domotiques »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 3 invités